@import '../../assets/styles/common.scss';

.add-funds, .add-funds__footer {
  .btn {
    &--cancel {
      display: block;
      height: 5rem;
      margin: auto;
    }

    &--paypal {
      height: 4rem;
    }
  }
}

.add-funds {
  display: flex;
  justify-content: space-between;
  max-width: 48vw;

  &__left {
    font-size: $fs-30;

    &--italic {
      @extend .add-funds__left;

      flex-grow: 6;
      margin-left: 4rem;
      font-style: italic;
      color: $blue-light-one;
    }
  }

  &__paypal {
    &--paypal-img {
      height: 4rem;
      margin-right: 5rem;
    }

    &--arrow-img {
      height: 3rem;
    }
  }

  &__pill {
    margin: auto;
    padding: 0 8.6rem 0 5.1rem;
    line-height: 6rem;
    font-style: italic;
    font-size: $fs-30;
  }

  @media only screen and (max-width: 768px) {
    max-width: 100%;
  }
}

.modal-pill {
  position: fixed;
  z-index: 1500;
  transform: translate(-1px, -6rem);
  height: 6rem;
  border-radius: 3rem 3rem 0 0;
  background: #0071cb;
}

.paypal__loader {
  margin: auto;
}

.funds {
  &__input {
    display: flex;
    align-items: center;
    margin-top: 12px;
  }

  &__textbox {
    width: 15rem;
    margin: 0 5px;
    font-family: $myriad-pro--bold;
    font-size: $preferencesLabel;
  }

  &__donatetextbox {
    height: 1rem;
  }

  &__donatetextbox {
    height: 1rem;
  }

  &__label {
    font-family: $myriad-pro--bold;
    font-weight: 700;
    font-size: 2.5rem;
    color: $white;
    text-align: center;
  }
}
